karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benson Margulies (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-3951) No error when problem with class version
Date Sat, 22 Aug 2015 17:25:45 GMT

    [ https://issues.apache.org/jira/browse/KARAF-3951?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14708098#comment-14708098
] 

Benson Margulies commented on KARAF-3951:
-----------------------------------------

Karaf 4.0.1.

Absolutely nothing in the log, either via log:display or by looking at the file.

This has a nagging resemblance to something that I ran into weeks ago, which was perhaps related
to maven configuration problems.


> No error when problem with class version
> ----------------------------------------
>
>                 Key: KARAF-3951
>                 URL: https://issues.apache.org/jira/browse/KARAF-3951
>             Project: Karaf
>          Issue Type: Bug
>            Reporter: Benson Margulies
>            Assignee: Jean-Baptiste Onofré
>
> Given an assembly that includes a features that includes a bundle that includes a class
(!) that requires Java 1.8.
> Run Karaf with Java 1.7, and then try to install that there feature.
> No error; no log message; also, no installation of the feature!



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message